Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class Service3OsgiR8OptionalFieldImpl

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.Service3OsgiR8OptionalFieldImpl

All Implemented Interfaces:
  `Service3OsgiR8OptionalField`

public class Service3OsgiR8OptionalFieldImpl extends Object implements Service3OsgiR8OptionalField

## Constructor Summary

Constructors
Constructor
Description
`Service3OsgiR8OptionalFieldImpl()`

## Method Summary

Modifier and Type
Method
Description
`Optional<ServiceInterface1>`
`getOptionalService1()`
`Optional<ServiceInterface5>`
`getOptionalService5()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service3OsgiR8OptionalFieldImpl

public Service3OsgiR8OptionalFieldImpl()

## Method Details

### getOptionalService1

public Optional<ServiceInterface1> getOptionalService1()

Specified by:
  `getOptionalService1` in interface `Service3OsgiR8OptionalField`

### getOptionalService5

public Optional<ServiceInterface5> getOptionalService5()

Specified by:
  `getOptionalService5` in interface `Service3OsgiR8OptionalField`